# Fix from http://slackbuilds.org/slackbuilds/14.0/games/PyLotRO/HTTPSConnectionFix.patch for Python 2.7+ HTTPS connections.
--- PyLotROLauncher/PyLotROUtils.py	2012-11-28 20:06:06.000000000 -0600
+++ PyLotROLauncher/PyLotROUtils.py	2013-06-04 21:08:53.032626141 -0500
@@ -37,6 +37,7 @@
 # If Python 3.0 is in use use http otherwise httplib
 if sys.version_info[:2] < (3, 0):
 	from httplib import HTTPConnection, HTTPSConnection
+	import ssl, socket
 	from urllib import quote
 else:
 	from http.client import HTTPConnection, HTTPSConnection
@@ -50,7 +51,10 @@
 	else:
 		url = urlIn[8:].split("/")[0]
 		post = urlIn[8:].replace(url, "")
-		return HTTPSConnection(url), post
+		conn = HTTPSConnection(url)
+		sock = socket.create_connection((conn.host, conn.port), conn.timeout, conn.source_address)
+		conn.sock = ssl.wrap_socket(sock, conn.key_file, conn.cert_file, ssl_version=ssl.PROTOCOL_TLSv1)
+		return conn, post
 
 def GetText(nodelist):
 	rc = ""
